db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew McIntyre (JIRA)" <derby-...@db.apache.org>
Subject [jira] Updated: (DERBY-1479) Documentation should note need to upgrade databases in jars
Date Thu, 06 Jul 2006 07:07:31 GMT
     [ http://issues.apache.org/jira/browse/DERBY-1479?page=all ]

Andrew McIntyre updated DERBY-1479:
-----------------------------------

        Summary: Documentation should note need to upgrade databases in jars  (was: A Derby
10.0 database in a jar cannot be accessed by Derby 10.1)
      Component:     (was: Store)
    Description: 
The documentation currently does not address the need to upgrade databases in jars when connecting
to a newer version of Derby.

For example, attempting to connect to a database in a jar created with Derby 10.0 fails when
trying to connect with Derby 10.1. The following error is thrown:

ERROR XJ040: Failed to start database 'jar:(pathtojarfile)pathinjar', see the next exception
for details.
ERROR 40XD1: Container was opened in read-only mode. 

  was:
Attempting to connect to a database in a jar created with Derby 10.0 fails when trying to
connect with Derby 10.1. The following error is thrown:

ERROR XJ040: Failed to start database 'jar:(pathtojarfile)pathinjar', see the next exception
for details.
ERROR 40XD1: Container was opened in read-only mode. 


I think a note in the documentation which addresses the need to upgrade databases in jars
to newer versions of Derby is needed. There is no explicit mention of the problems which may
be encountered when trying to access a database in a jar created with an earlier version of
Derby which needs upgrade to the latest version, and the exception which is encountered on
such access:

ERROR 40XD1: Container was opened in read-only mode. 

provides no useful information for determining the cause of the problem. Documenting the need
to explicitly upgrade databases in jars created with earlier versions of Derby seems like
a reasonable course of action for the problem.


> Documentation should note need to upgrade databases in jars
> -----------------------------------------------------------
>
>          Key: DERBY-1479
>          URL: http://issues.apache.org/jira/browse/DERBY-1479
>      Project: Derby
>         Type: Bug

>   Components: Documentation
>     Versions: 10.1.3.1, 10.1.2.1, 10.1.1.0
>     Reporter: Andrew McIntyre
>      Fix For: 10.1.3.2, 10.1.4.0, 10.2.0.0
>  Attachments: jartest3.jar
>
> The documentation currently does not address the need to upgrade databases in jars when
connecting to a newer version of Derby.
> For example, attempting to connect to a database in a jar created with Derby 10.0 fails
when trying to connect with Derby 10.1. The following error is thrown:
> ERROR XJ040: Failed to start database 'jar:(pathtojarfile)pathinjar', see the next exception
for details.
> ERROR 40XD1: Container was opened in read-only mode. 

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message